Bug 3262 - Defining company and role in profiles
: Defining company and role in profiles
Status: RESOLVED FIXED
Product: maemo.org Website
Profile
: unspecified
: All Linux
: High enhancement (vote)
: ---
Assigned To: Oskari Kokko
: profile-bugs
:
:
:
: 3513
  Show dependency tree
 
Reported: 2008-06-18 14:46 UTC by Quim Gil
Modified: 2008-12-06 18:45 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) nokia 2008-06-18 14:46:08 UTC
Currently there is this field "Affiliated with Nokia (employee, contractor)"
Yes/No

This was good enough for the device program but falls short for all the rest.

Instead, it would be good to have a field for the company (with a default
"Hobbyist" field) and another one for the role (free text).

In the companies we could either list those we know that are around i.e. Nokia,
OpenedHand, etc or 

offer as dropdown the companies already introduced and a text field for
"Other". Once someone has entered a new company it would appear in the
dropdown.

This would also allow listing for the who is who i.e. Nokia employees with
their roles, being all the information maintained by the own people.
Comment 1 Dave Neary maemo.org 2008-07-01 00:16:25 UTC
It would also be nice to have fields for Jabber ID and perhaps AIM/MSN
Comment 2 Quim Gil (reporter) nokia 2008-07-03 12:32:21 UTC
Changing to HIGH priority because of dependencies with the Summit registration
and the Who is Who, both tasks commited in Sprint2.
Comment 3 Quim Gil (reporter) nokia 2008-07-14 17:08:58 UTC
Assigning to Oskari. Pass it over if it doesn't belong to you.
Comment 4 Dave Neary maemo.org 2008-07-15 17:24:45 UTC
Hi,

I would really like to see this bug addressed, because it is now blocking the
"Who's who in maemo" task. Here's why:

My original plan was "Make a list of people + what they work on/are interested
in", but that's a maintenance nightmare. It makes much more sense to use
profiles & karma.

I will now be pointing to people's profiles for modules in the Maemo platform,
and those people should be able to say what components they are interested in
and what they are working on for that page to be useful to someone clicking
through.

I want to get all Nokia people concerned to update their profiles, then publish
a component map with a name to each component plus some special cases for
things like community marketing. And I can't do that until this bug is fixed.

Thanks for your help!
Dave.
Comment 5 Oskari Kokko 2008-07-25 15:22:33 UTC
Added fields for jabber, aim and msn. Also added fields from registration form,
company that hires you, job title and project. So now all the data people have
submited to the registration form can be seen on their profile page, is they
allow it (people can themselves define, what fields to show on their profile
page).
Comment 6 Dave Neary maemo.org 2008-07-29 14:36:24 UTC
One last element still missing that I was expecting from this report is a
visual indication that someone is affiliated with Nokia in
https://maemo.org/profile/list/

Should I create a new bug, or re-open this one?
Comment 7 Quim Gil (reporter) nokia 2008-07-29 14:42:09 UTC
https://maemo.org/profile/list/ needs a lot of love anyway. Now it's a dry list
of nicknames and karma values not linked from anywhere. 

We better have a separate enhancement request assigned to Henri. You can add me
in CC to help on feedback. Thanks!
Comment 8 Quim Gil (reporter) nokia 2008-07-29 22:26:11 UTC
Ok to have this as a simple free text field instead of a more clever way to
avoid misspellings e.g. "OpenedHand" / "Opened Hand".

BUT the field "Affiliated with Nokia" is redundant now and needs to be removed,
as requested in the initial report. Thanks!
Comment 9 Henri Bergius 2008-07-30 11:18:54 UTC
"Affiliated with Nokia" has been removed in SVN, will come in next sync.